//=============================================================================
// Powerful explosive shell.
// https://mrevil.asvachin.eu/unreal/
//=============================================================================
class SentinelProjectile_Mortar_HE extends SentinelProjectile_Mortar;

defaultproperties
{
	FriendlyName="High Explosive"
	Description="A standard high explosive shell, capable of inflicting substantial damage."

	ProjExplosionTemplate=ParticleSystem'Sentinel_Resources.Effects.Weapons.P_SentinelMortar_HE_Explosion'
	ExplosionLightClass=class'UTGame.UTTankShellExplosionLight'

	Damage=200.0
	DamageRadius=500
	MomentumTransfer=100000
	MyDamageType=class'UTDmgType_SentinelMortar_HE'

	ExplosionSound=SoundCue'Sentinel_Resources.Sounds.Weapons.Mortar_HE_ExplodeCue'
	ExplosionDecal=MaterialInstanceTimeVarying'WP_RocketLauncher.Decals.MITV_WP_RocketLauncher_Impact_Decal01' //TODO: New decal, perhaps.
	DecalWidth=512.0
	DecalHeight=512.0

	Begin Object Name=ProjectileMesh
		StaticMesh=StaticMesh'Sentinel_Resources.Meshes.Weapons.S_MortarShell_HE'
		Materials[0]=MaterialInstanceConstant'Sentinel_Resources.Materials.Weapons.MI_MortarShell_HE'
		Scale=0.7
	End Object
}