//=============================================================================
// Exists purely because localization files are not pushed by servers.
// https://mrevil.asvachin.eu/unreal/
//=============================================================================
class UIStrings extends Object
	abstract;

var localized string MenuTitle;
var localized string AvailableWeapons;
var localized string CurrentWeapon;
var localized string AvailableUpgrades;
var localized string CurrentUpgrades;
var localized string Description;
var localized string AvailableComponents;
var localized string Status;
var localized string Cost;
var localized string InvalidUpgrade;
var localized string NoUpgrade;
var localized string NoDescription;
var localized string Recycle;
var localized string RecycleConfimMessage;
var localized string Lock;
var localized string Unlock;
var localized string Configure;
var localized string SentinelClass;
var localized string Owner;
var localized string Condition;
var localized string Target;
var localized string Armour;
var localized string Shield;
var localized string Peers;
var localized string Scanning;
var localized string UID;

//Mutator config menu strings.
var localized string MainTabTitle;
var localized string AllowUpgrades;
var localized string MaxSentinels;
var localized string MaxTeamSentinels;
var localized string MaxTeamAdvantageSentinels;

var localized string RandomAmmoTabTitle;
var localized string SpawnRandomAmmo;
var localized string InitialAmmo;
var localized string AmmoPerPlayer;

var localized string AmmoReplacementTabTitle;
var localized string ReplacedPickups;
var localized string ReplacementClasses;
var localized string ReplacementPercent;

var localized string AdvancedTabTitle;
var localized string StartWithDeployer;
var localized string OverrideMapSettings;

//Upgrade strings.
var localized string ShellTypes;
var localized string Elevation;

defaultproperties
{
	MenuTitle="Sentinel Upgrade Menu"
	AvailableWeapons="Available Weapons"
	CurrentWeapon="CurrentWeapon"
	AvailableUpgrades="Available Upgrades"
	CurrentUpgrades="Current Upgrades"
	Description="Description"
	AvailableComponents="Available Components"
	Status="Sentinel Status"
	Cost="Cost"
	InvalidUpgrade="Error, invalid upgrade."
	NoUpgrade="No upgrade selected."
	NoDescription="No description available."
	Recycle="RECYCLE"
	RecycleConfimMessage="Are you sure you want to break up this Sentinel for spare parts?"
	Lock="LOCK"
	Unlock="UNLOCK"
	Configure="CONFIGURE"
	SentinelClass="Class"
	Owner="Owner"
	Condition="Condition"
	Target="Target"
	Armour="Armour"
	Shield="Shield"
	Peers="Network Peers"
	Scanning="Scanning..."
	UID="UID"

	MainTabTitle="Main"
	AllowUpgrades="Allow Upgrades"
	MaxSentinels="Max. Sentinels Per Player"
	MaxTeamSentinels="Max. Sentinels Per Team"
	MaxTeamAdvantageSentinels="Max. Difference In Deployed Sentinels Per Team"

	RandomAmmoTabTitle="Random Ammo"
	SpawnRandomAmmo="Spawn Random Ammo"
	InitialAmmo="Initial Spawned Ammo"
	AmmoPerPlayer="Extra Ammo Spawned Per Player"

	AmmoReplacementTabTitle="Ammo Replacement"
	ReplacedPickups="Replaceable Pickups"
	ReplacementClasses="Replacement Ammo Size"
	ReplacementPercent="Percent Replaced"

	AdvancedTabTitle="Advanced"
	StartWithDeployer="Start With Deployer"
	OverrideMapSettings="Override Map Settings"

	ShellTypes="Shell Types"
	Elevation="Elevation"
}