//=============================================================================
// Ammo for the Deployer.
// https://mrevil.asvachin.eu/unreal/
//=============================================================================
class UTAmmo_SentinelDeployer extends UTAmmoPickupFactory;

var	StaticMeshComponent AmmoPickupMesh;

defaultproperties
{
	PickupMessage="Sentinel Components (large)"
	AmmoAmount=100
	TargetWeapon=class'UTWeap_SentinelDeployer'
	PickupSound=SoundCue'Sentinel_Resources.Sounds.Deployer.DeployerAmmoPickupCue'
	MaxDesireability=4.0
	RespawnTime=120.0

	bNoDelete=false

	Begin Object Name=AmmoMeshComp
		StaticMesh=StaticMesh'LT_Mech.SM.Mesh.S_LT_Mech_SM_Cratebox02a'
		Materials(0)=MaterialInstanceConstant'Sentinel_Resources.Materials.Misc.M_Ammo'
		Scale=0.4
		Translation=(X=0.0,Y=0.0,Z=-28.5)
		CullDistance=6000
	End Object
	AmmoPickupMesh=AmmoMeshComp

	Begin Object Name=CollisionCylinder
		CollisionHeight=28.0
		CollisionRadius=28.0
	End Object
}