//=============================================================================
// Medium ammo for the Deployer.
// https://mrevil.asvachin.eu/unreal/
//=============================================================================
class UTAmmo_SentinelDeployer_Medium extends UTAmmo_SentinelDeployer;

defaultproperties
{
	PickupMessage="Sentinel Components (medium)"

	AmmoAmount=30

	PickupSound=SoundCue'Sentinel_Resources.Sounds.Deployer.DeployerAmmoMediumPickupCue'
	MaxDesireability=3.0
	RespawnTime=60.0

	Begin Object Name=AmmoMeshComp
		StaticMesh=StaticMesh'LT_Mech.SM.Mesh.S_LT_Mech_SM_Cratebox02a'
		Materials(0)=MaterialInstanceConstant'Sentinel_Resources.Materials.Misc.M_Ammo'
		Scale=0.3
		Translation=(X=0.0,Y=0.0,Z=-21.5)
		CullDistance=5000
	End Object

	Begin Object Name=CollisionCylinder
		CollisionHeight=21.0
		CollisionRadius=21.0
	End Object
}