//=============================================================================
// Small ammo for the Deployer.
// https://mrevil.asvachin.eu/unreal/
//=============================================================================
class UTAmmo_SentinelDeployer_Small extends UTAmmo_SentinelDeployer;

defaultproperties
{
	PickupMessage="Sentinel Components (small)"

	AmmoAmount=10

	PickupSound=SoundCue'Sentinel_Resources.Sounds.Deployer.DeployerAmmoSmallPickupCue'
	MaxDesireability=2.0
	RespawnTime=30.0

	Begin Object Name=AmmoMeshComp
		StaticMesh=StaticMesh'LT_Mech.SM.Mesh.S_LT_Mech_SM_Cratebox02a'
		Materials(0)=MaterialInstanceConstant'Sentinel_Resources.Materials.Misc.M_Ammo'
		Scale=0.2
		Translation=(X=0.0,Y=0.0,Z=-15.0)
		CullDistance=4000
	End Object

	Begin Object Name=CollisionCylinder
		CollisionHeight=14.0
		CollisionRadius=14.0
	End Object
}