class UTDmgType_SentinelMortar_HE extends UTDmgType_Burning
	abstract;

static function float VehicleDamageScalingFor(Vehicle V)
{
	local float DamageScaling;

	DamageScaling = default.VehicleDamageScaling;

	if((UTVehicle(V) != None) && !UTVehicle(V).bLightArmor)
	{
		DamageScaling *= 0.8;
	}

	return DamageScaling;
}

defaultproperties
{
	DeathString="`o was shelled by `k's Sentinel."
	FemaleSuicide="`o was shelled by her own Sentinel."
	MaleSuicide="`o was shelled by his own Sentinel."

	VehicleDamageScaling=0.7
	VehicleMomentumScaling=1.0

	bDontHurtInstigator=true
	GibPerterbation=0.15
	bThrowRagdoll=true
	KDamageImpulse=1000.0
	bComplainFriendlyFire=false
}
