class UTDmgType_SentinelRocket extends UTDamageType
	abstract;

static function SpawnHitEffect(Pawn P, float Damage, vector Momentum, name BoneName, vector HitLocation)
{
	local UTEmit_VehicleHit BF;

	if ( Vehicle(P) != none )
	{
		BF = P.spawn(class'UTEmit_VehicleHit',P,, HitLocation, rotator(Momentum));
		BF.AttachTo(P, BoneName);
	}
	else
	{
		super.SpawnHitEffect(P, Damage, Momentum, BoneName, HitLocation);
	}
}

defaultproperties
{
	DeathString="`o was peppered with rockets by `k's Sentinel."
	FemaleSuicide="`o's own Sentinel peppered her with rockets."
	MaleSuicide="`o's own Sentinel peppered him with rockets."

	bDontHurtInstigator=true
	KDamageImpulse=1000
	KDeathUpKick=200
	bKRadialImpulse=true
	VehicleMomentumScaling=4.0
	VehicleDamageScaling=0.8
	NodeDamageScaling=1.1
	bThrowRagdoll=true
	GibPerterbation=0.15
    AlwaysGibDamageThreshold=99
    CustomTauntIndex=7
	bComplainFriendlyFire=false
}