//=============================================================================
// Small version of the Link beam weapon, for the Ceiling Sentinel.
// https://mrevil.asvachin.eu/unreal/
//=============================================================================
class SentinelWeapon_PulseToLinkConverter_Small extends SentinelWeapon_PulseToLinkConverter;

defaultproperties
{
	WeaponScale=0.3

	AmmoCost=45
	RequiredUpgrades.Empty()
	RequiredUpgrades.Add(class'SentinelWeapon_PulseCannon_Small')
	CompatibleSentinels.Empty()
	CompatibleSentinels.Add(class'Sentinel_Ceiling')

	Begin Object Name=FireInfo0
		Damage=10.0
		DamageType=class'UTDmgType_SentinelLink'
		MaxRange=1200.0
	End Object

	Begin Object Name=MuzzleFlash0
		Template=ParticleSystem'Sentinel_Resources.Effects.Weapons.P_LinkCannon_Beam'
		Scale=0.4
	End Object

	Begin Object Name=MuzzleFlashLightComponent0
		LightOffset=(X=130.0,Y=0.0,Z=0.0)
		TimeShift=((StartTime=0.0,Radius=120,Brightness=5,LightColor=(R=200,G=200,B=200,A=255)),(StartTime=0.21,Radius=120,Brightness=5,LightColor=(R=200,G=200,B=200,A=255)),(StartTime=0.3,Radius=64,Brightness=0,LightColor=(R=32,G=32,B=32,A=255)))
	End Object
}
