class UTDmgType_SentinelMortar_Shrapnel extends UTDmgType_Burning
	abstract;

static function float VehicleDamageScalingFor(Vehicle V)
{
	local float DamageScaling;

	DamageScaling = default.VehicleDamageScaling;

	if((UTVehicle(V) != None) && !UTVehicle(V).bLightArmor)
	{
		DamageScaling *= 0.5;
	}

	return DamageScaling;
}

defaultproperties
{
	DeathString="`o was shredded by `k's Sentinel."
	FemaleSuicide="`o was shredded by her own Sentinel."
	MaleSuicide="`o was shredded by his own Sentinel."

	VehicleDamageScaling=0.25
	VehicleMomentumScaling=0.5

	bDontHurtInstigator=true
	GibPerterbation=0.15
	bThrowRagdoll=true
	KDamageImpulse=1000.0
	bComplainFriendlyFire=false
}
