class UTUITabPage_SentinelOptions_Advanced extends UTUITabPage_SentinelOptions;

var transient UICheckbox StartWithDeployer;
var transient UICheckbox OverrideMapSettings;

function PostInitialize()
{
	super.PostInitialize();

	SetDataStoreBinding(class'UIStrings'.default.AdvancedTabTitle);

	UILabel(FindChild('UILabel_Deployer', true)).SetDataStoreBinding(class'UIStrings'.default.StartWithDeployer);
	StartWithDeployer = UICheckbox(FindChild('UICheckbox_Deployer', true));
	StartWithDeployer.SetValue(MutatorClass.default.bStartWithDeployer);

	UILabel(FindChild('UILabel_OverrideMapSettings', true)).SetDataStoreBinding(class'UIStrings'.default.OverrideMapSettings);
	OverrideMapSettings = UICheckbox(FindChild('UICheckbox_OverrideMapSettings', true));
	OverrideMapSettings.SetValue(MutatorClass.default.bOverrideMapSettings);
}

function Commit()
{
	MutatorClass.default.bStartWithDeployer = StartWithDeployer.IsChecked();
	MutatorClass.default.bOverrideMapSettings = OverrideMapSettings.IsChecked();

	super.Commit();
}

defaultproperties
{
}